"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.insertStringAt = exports.convertTabsToSpaces = void 0;
var Indentation = _interopRequireWildcard(require("./indentation"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/**
 * Converts prefix tabs to the appropriate number of spaces in the given string.
 * @param str Root string.
 * @returns string
 */
const convertTabsToSpaces = str => {
  return str.replace(/\t/g, Indentation.createIndentString());
};

/**
 * Inserts a substring into a string at a specific position.
 * @param str Root string.
 * @param position Position to insert.
 * @param strToInsert String to be inserted.
 * @returns string
 */
exports.convertTabsToSpaces = convertTabsToSpaces;
const insertStringAt = (str, position, strToInsert) => {
  return str.substring(0, position + 1) + strToInsert + str.substring(position + 1);
};
exports.insertStringAt = insertStringAt;
//# sourceMappingURL=strings.js.map